## org.jgroups.protocols
Class DELAY_JOIN_REQ

    java.lang.Object
      org.jgroups.stack.Protocol
          org.jgroups.protocols.DELAY_JOIN_REQ

    public class DELAY_JOIN_REQ

extends Protocol

Discards 2 JOIN-REQs then accepts 1, then discards 2 more and so on

Author:
  Bela Ban

Field Summary

Fields inherited from class org.jgroups.stack.Protocol
`down_prot, ergonomics, id, log, name, stack, stats, up_prot`

Constructor Summary
`DELAY_JOIN_REQ()`

Method Summary
`long` `getDelay()`
`void` `setDelay(long delay)`
`java.lang.Object` `up(Event evt)` An event was received from the layer below.

Methods inherited from class org.jgroups.stack.Protocol

`destroy, down, downThreadEnabled, dumpStats, enableStats, getConfigurableObjects, getDownProtocol, getId, getLevel, getName, getProperties, getProtocolStack, getSocketFactory, getThreadFactory, getTransport, getUpProtocol, getValue, init, isErgonomics, printStats, providedDownServices, providedUpServices, requiredDownServices, requiredUpServices, resetStats, setDownProtocol, setErgonomics, setId, setLevel, setProperties, setPropertiesInternal, setProperty, setProtocolStack, setSocketFactory, setUpProtocol, setValue, setValues, start, statsEnabled, stop, upThreadEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DELAY_JOIN_REQ

    public DELAY_JOIN_REQ()

Method Detail

### getDelay

    public long getDelay()

### setDelay

    public void setDelay(long delay)

### up

    public java.lang.Object up(Event evt)

  Description copied from class: `Protocol`
  An event was received from the layer below. Usually the current layer will want to examine the event type and - depending on its type - perform some computation (e.g. removing headers from a MSG event type, or updating the internal membership list when receiving a VIEW_CHANGE event). Finally the event is either a) discarded, or b) an event is sent down the stack using `down_prot.down()` or c) the event (or another event) is sent up the stack using `up_prot.up()`.

  Overrides:
    `up` in class `Protocol`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.